Subject: bug#69232: 30.0.50; [PATCH] EWW history navigation gets caught in a loop

From: James Thomas <[email-masked]>
Date: Sun, 25 Feb 2024 06:20:15 +0530

Jim Porter wrote:

> Another option might be, "If you're at a historical page and you click
> a link, add that page as a duplicate to the end of the history." That
> would partially restore the old behavior, but only in this case where
> things might otherwise be confusing.

Just putting out a few ideas for refining this (in case it's opted for):

My personal preference would be for the entire history up to that point
be added (or be available), not just the source page of the link; so
because that might sometimes be too much, (adding to the end) only the
entire history up to the first occurrence of the source page.

--